--- title: "Update Secret Stage Value" slug: "secretmanager-update-secret-stage-value" updated: 2026-10-08T04:20:08Z published: 2026-10-08T04:20:08Z canonical: "api.ncloud-docs.com/secretmanager-update-secret-stage-value" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Secret Stage Value Available in VPC Edit the secret value of a secret stage. The value of a secret in the `REVOKE` (deletion requested) can't be changed. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/secrets/{secretId}/values/{secret-value-stage} | ### Request headers For information about the request headers common to all Secret Manager APIs, see [Secret Manager request headers](/docs/en/secretmanager-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `secretId` | String | Required | Secret ID - See [Get Secret List](/docs/en/secretmanager-getsecretlist). | | `secret-value-stage` | String | Required | Secret stage - `previous` \| `active` \| `pending` - `previous`: PREVIOUS stage (a secret previously used relative to the ACTIVE stage). - `active`: ACTIVE stage (the active secret currently in normal use). - `pending`: PENDING stage (a secret for which a replacement has just begun and is awaiting completion). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `value` | String | Required | Secret value - JSON format. - 1 to 100 key-value pairs. - Maximum 10,000 bytes. - See [Get secret value](/docs/en/secretmanager-getsecretvalue). | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://secretmanager.apigw.ntruss.com/api/v1/secrets/{secretId}/values/previous' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "value": "{\"abc\":\"cba\"}" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `data` | Object | - | Response result | | `data.encryptedSecretValue` | Object | - | Encrypted secret value information | | `data.encryptedSecretValue.value` | String | - | Encrypted secret value | | `data.encryptedSecretValue.valueStage` | String | - | Secret stage - `previous` \| `active` \| `pending` - `previous`: PREVIOUS stage (previously used secrets based on the ACTIVE stage) - `active`: ACTIVE stage (active secrets that are currently in normal use) - `pending`: PENDING stage (secrets whose rotation has started anew and are waiting for the rotation to complete) | ### Response status codes For information about the response status codes common to all Secret Manager APIs, see [Secret Manager response status codes](/docs/en/secretmanager-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "encryptedSecretValue": { "value": "ncpkms:v1:*****0ObO7xznMJWUptMNLK/IZsEbp+****+6wRDfCcQW93r5FfG****", "valueStage": "PREVIOUS" } } } ```